COMSOC’08, Liverpool, UK On the Agenda Control Problem for Knockout Tournaments Thuc Vu, Alon...

Preview:

Citation preview

COMSOC’08, Liverpool, UK

On the Agenda Control Problem for Knockout

Tournaments

Thuc Vu, Alon Altman, Yoav Shoham

{thucvu, epsalon, shoham}@stanford.edu

Knockout Tournament

One of the most popular formats Players placed at leaf-nodes of a binary tree Winner of pairwise matches moving up the

tree

1 2

1

3 4

4

5 6

5

4

1

1 2

3 4 5 6

Knockout Tournament Design Space

Very rich space with several dimensions: Objective functions

Predictive power vs. Fairness vs. Interestingness etc…

Structures of the tournament Unconstrained vs. Balanced vs. Limited matches

Models of the players/ Information available Unconstrained vs. Monotonic vs. Deterministic etc…

Sizes of the problem Exact small cases vs. Unbounded cases

Type of results Theoretical vs. Experimental

Related Works: Axiomatic Approaches

Objectives: Set of axioms “Delayed Confrontation”, “Sincerity Rewarded”, and

“Favoritism Minimized” in [Schwenk’00] “Monotonicity” in [Hwang’82]

Structure: Balanced knockout tournament Model: Monotonic

The players are ordered based on certain intrinsic abilities

The winning probabilities reflect this ordering

Size: Unbounded number of players

Related Works: Quantitative Approaches

Objective function: Maximizing the predictive power Probability of the strongest player winning the tournament

Structure: Balanced knockout tournament Model: Monotonic Size: Focus on small cases such as 4 or 8 players

[Appleton’95, Horen&Riezman’85, and Ryvkin’05]

Related Works: Under Voting Context

Election with sequential pairwise comparisons Model:

Deterministic comparison results [Lang et al. ’07] Probabilistic comparison results [Hazon et al. ’07]

Structure: Consider general, balanced, and linear order

Objective function: control the election Show that with balanced voting tree, some modified

versions are NP-complete Computational aspects of other control

methods [Bartholdi et al. ’92][Hemaspaandra et al. ’07]

Our Work

We focus on the following space: Structure: Knockout tournament with

Unconstrained general structure Balanced structure Tournament with round placements

Model of players: Unconstrained general model Deterministic Monotonic

Objective function: Maximizing the winning probability of a target player

The General Model Given input:

Set N of players Matrix P of winning probabilities

Pi,j – probability i win against j 0 Pi,j=1- Pj,i 1 No transitivity required

A general knockout tournament K defined by: Tournament structure T – binary tree Seeding S – a mapping from N to leaf nodes of T

Probability p(j,K) of player j winning tournament K can be calculated efficiently

The General Problem

Objective function: Find (T,S) that maximizes the winning probability of a given player k

With the general model: Open problem Optimal structure

must be biased

k

KT1 KT2

New result with structure constraint

Balanced knockout tournament (BKT) Tournament structure is a balanced binary

tree Can only change the seeding

Theorem: Given N and P, it is NP-complete to decide whether there exists a BKT such that p(k,BKT)≥δ for a given k in N and δ≥0

How about deterministic model?

Win-Lose match tournament Winning probabilities can be either 0 or 1 Analogous to sequential pairwise eliminations

Question: Find (T,S) that allows k to win Complexity of this problem

Without structure constraints, it is in P [Lang’07] For a balanced tournament, it is an open

problem

NP-hard with round placements

Knockout tournament with round placements Each player j has to start from round Rj

The tournament is balanced if Rj=1 for all j Certain types of matches can be prohibited

Theorem: Given N, win-lose P, and feasible R, it is NP-complete to decide whether there exists a tournament K with round placement R such that a given player k will win K

Complexity Results

General

Win-Lose

General Open

(Biased)

O(n2)[Lang’07]

Balanced NP-hard Open

Round-placements

NP-hard NP-hard

Sketch of Proof

Reduction from Vertex CoverVertex Cover: Given G={V,E} and k, is there a subset C of V such that |C|≤k and C covers E?Reduction Method: Construct a tournament K with player o such that o wins K <=> C exists

K contains the following players: Objective player o n vertex players vi

m edge players ei

Filler players fr for o

Holder players hrj for

v

Sketch of Proof (cont.)

Winning probabilities

vj ej fr hrt

o 1 0 1 0

vi arbitrary 1 if vi covers ej, 0 o.w.

0 1

ei - - 1 1

fr - - arb.

1

hrt - - arb.

Three phases of the tournament

Phase 1: (n-k) rounds o and vi start at round 1 At each round r, there are (n-r) new holders hr

i

o eliminates v’ not in C at each round

o vi1

o

v1 h11

v1

vn h1n

vn

(n-1)

Round 1

Round 2

Three phases of the tournament

Phase 1: (n-k) rounds o and vi start at round 1 At each round r, there are (n-r) new holders hr

i

o eliminates v’ not in C at each round

o vi2

o

v1 h11

v1

vn h1n

vn

(n-2)

Round 2

Round 3

Three phases of the tournament

Phase 1: (n-k) rounds o and vi start at round 1 At each round r, there are (n-r) new holders hr

i

o eliminates v’ not in C at each round

o vj1 vjk

(k)

Round (n-k)

At most k vertex players remain

Three phases of the tournament

Phase 2: m rounds o plays against fr

ej starts at round j and plays against the covering v The (k-1) remaining vi play against holders hr

i

o fr

o

vj1 h11

vj1

vjk h1k

vjk

(k-1) vertex players

v’ e1

v’

Round 1

Round 2

k vertex players

Three phases of the tournament

Phase 2: m rounds o plays against fr

ej starts at round j and plays against the covering v The (k-1) remaining vi play against holders hr

i

o fr

o

vj1 h11

vj1

vjk h1k

vjk

(k-1) vertex players

v’ em

v’

Round (m-1)

Round m

k vertex players remain iff all e’s eliminated by v’s

Three phases of the tournament

Phase 3: k rounds o eliminates the remaining v’s At each round r, there are (k-r) new holders hr

i

o wins the tournament iff all edge players were eliminated by one of the k vertex players

o vj1

o

vj2 h12

vj2

vjk h1k

vjk

(k-1)

Round 1

Round 2

Three phases of the tournament

Phase 3: k rounds o eliminates the remaining v’s At each round r, there are (k-r) new holders hr

i

o wins the tournament iff all edge players were eliminated by one of the k vertex players

o vjk

o

Round (k-1)

Round k

o wins the tournament

iff

there are k vertex players at the beginning of phase 3

Win-Lose-Tie Constraint

Win-Lose-Tie (WLT) match tournament Winning probabilities can be 0, 1, or 0.5

Question: Find (T,S) that maximizes the winning probability of a given player k

Complexity of this problem Without structure constraints, it is in P For a balanced tournament, it is an NP-complete

problem

Complexity Results

GeneralModel

Win-Lose-Tie

Win-Lose

General Structure

Open

(Biased)

O(n2) O(n2)[Lang’07]

Balanced Structure

NP-hard NP-hard Open

Round-placements

NP-hard NP-hard NP-hard

Balanced WLT Tournaments

Theorem: Given N, and win-lose-tie P, it is NP-complete to decide whether there exists a balanced WLT tournament K such that p(k,K)≥δ for a given k in N and δ≥0

Sketch of Proof: Similar to hardness proof for round placement tournament Need gadgets to simulate round placements Make sure any round placement at most

O(log(n)) Possible since the players can have ties

How about Monotonic Model?

Tournament with monotonic winning prob. Very common model in the literature The winning probability matrix P satisfies

Pi,j+Pj,i=1 Pi,j≥Pj,i for all (i,j): i≤j Pi,j≤Pi,j+1 for all (i,j)

Open problem for both cases: Balanced knockout tournament Without structure constraints

NP-hard with Relaxed Constraint

ε-monotonic: relax one of the requirements

Pi,j≤Pi,j+1 + ε for all (i,j) with ε > 0

Theorem: Given N, and ε-monotonic P, it is NP-complete to decide whether there exists a balanced tournament K such that p(k,K)≥δ for a given k in N and δ≥0

Complexity Results

General

Win-Lose-Tie

Win-Lose

ε-mono

Mono

General Structure

Open

(Biased)

O(n2) O(n2) [Lang’07]

Open Open

Balanced Structure

NP-hard NP-hard Open NP-hard Open

Round-placements

NP-hard NP-hard NP-hard NP-hard Open

Conclusions and Future Works

Addressed the tournament design space Showed that for balanced tournament, the

agenda control problem is NP-hard Even for win-lose-tie or ε-monotonic

probabilities Future directions:

Balanced tournament with deterministic results Approximation methods Other objective functions such as fairness or

“interestingness”

Thank you! Questions?

General

Win-Lose-Tie

Win-Lose

ε-mono

Mono

General Structure

Open

(Biased)

O(n2) O(n2) [Lang’07]

Open Open

Balanced Structure

NP-hard NP-hard Open NP-hard Open

Round-placements

NP-hard NP-hard NP-hard NP-hard Open

Recommended